%define upstream_name    Config-INI
%define upstream_version 0.019

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A subclassable .ini-file emitter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(IO::String)
BuildRequires: perl(Mixin::Linewise::Readers)
BuildRequires: perl(Mixin::Linewise::Writers)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Config::INI::Reader is _yet another_ config module implementing _yet
another_ slightly different take on the undeniably easy to read the ".ini"
file format|Config::INI manpage. Its default behavior is quite similar to
that of the Config::Tiny manpage, on which it is based.

The chief difference is that Config::INI::Reader is designed to be
subclassed to allow for side-effects and self-reconfiguration to occur
during the course of reading its input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Dec 16 2011 kharec <kharec> 0.19.0-1.mga2
+ Revision: 182556
- update to 0.019

* Wed Jun 15 2011 jquelin <jquelin> 0.18.0-1.mga2
+ Revision: 106537
- update to 0.018

* Fri Jan 21 2011 jquelin <jquelin> 0.17.0-1.mga1
+ Revision: 28429
- mageia rebuild
- imported package perl-Config-INI

